%global   forgeurl https://github.com/ErikReider/SwaySettings

Name:           sway-settings
Version:        0.5.0
%forgemeta
Release:        1%{?dist}
Summary:        A GUI for setting sway wallpaper, default apps, GTK themes, etc...

License:        GPL-3.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}
Patch0:         %{name}.app-description.patch

Provides:       SwaySettings = %{version}
Provides:       swaysettings = %{version}

BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  /usr/bin/desktop-file-validate
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/msgfmt
BuildRequires:  /usr/bin/blueprint-compiler
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gtk4-layer-shell-0)
BuildRequires:  pkgconfig(granite-7)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(accountsservice) >= 22.04
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(udisks2)

Requires:       bluez
Requires:       xkeyboard-config

%description
%{summary}

%prep
%forgeautosetup -p1


%build
%meson
%meson_build

%install
%meson_install


%check


%files
%license LICENSE
%doc README.md
%{_bindir}/*
%{_datadir}/appdata/*
%{_datadir}/applications/*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/icons/hicolor/symbolic/apps/*


%changelog
* Sun Dec 15 2024 Jerzy Drożdż <jerzy.drozdz@jdsieci.pl> - 0.5.0-1
- Update to 0.5.0

* Mon Jan 02 2023 Jerzy Drożdż <jerzy.drozdz@jdsieci.pl> - 0.4.0-1
- Initial build
